import { Card, CardActionArea, CardContent, Typography } from '@material-ui/core';
import React, { useState, useEffect } from 'react';
import '../App.css';
import headingLogo from "./Open Period Card Icon.png";

type Props = {
header: string,
opendate: string,
duedate: string,
closedate: string,
description: string
};
export default function CardComponent({ header, opendate, duedate, closedate, description }: Props) {
return (
    <Card elevation={20} sx={{ maxWidth: 345 }}>
        <CardActionArea>
            <CardContent>
            <div class="col-sm-4 card"
                    style={{
                    border: "solid 3px #d3d3d3",
                    margin: "10px auto"
                    }}
                >
                    <div class="row">
                    <div class="col-sm-4"><img src={headingLogo} alt='headingLogo' class="heading-logo"/></div>
                    <div class="col-sm-8"><div class="card-header">{header}</div></div>
                    </div>
                    <div class="row card-details">
                        <div class="col">
                            <p>Open Date: {opendate}</p>
                            <p>Due Date: {duedate}</p>
                            <p>Close Date: {closedate}</p>
                            <p><strong>Reporting Period Description:</strong> {description}</p>
                        </div>
                    </div>
                </div>
            </CardContent>
        </CardActionArea>
    </Card>
);
};

